VelMethod (Velocity 1.4 API)
Keywords: org.apache.velocity.util.introspection.VelMethod interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.util.introspection
Interface VelMethod

All Known Implementing Classes:
  UberspectImpl.VelMethodImpl

public interface VelMethod

Method used for regular method invocation $foo.bar()

Version:
  $Id: VelMethod.java,v 1.2.4.1 2004/03/03 23:23:08 geirm Exp $
Author:
  Geir Magnusson Jr.

Method Summary
`java.lang.String` | `getMethodName()` returns the method name used
`java.lang.Class` | `getReturnType()` returns the return type of the method invoked
`java.lang.Object` | `invoke(java.lang.Object o, java.lang.Object[] params)` invocation method - called when the method invocationshould be preformed and a value returned
`boolean` | `isCacheable()` specifies if this VelMethod is cacheable and able to be reused for this class of object it was returned for

Method Detail

### invoke

    public java.lang.Object invoke(java.lang.Object o,
                                   java.lang.Object[] params)
                            throws java.lang.Exception

  invocation method - called when the method invocationshould be preformed and a value returned

  Throws:
    `java.lang.Exception`

### isCacheable

    public boolean isCacheable()

  specifies if this VelMethod is cacheable and able to be reused for this class of object it was returned for

  Returns:
    true if can be reused for this class, false if not

### getMethodName

    public java.lang.String getMethodName()

  returns the method name used

### getReturnType

    public java.lang.Class getReturnType()

  returns the return type of the method invoked

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.